Contenu | Rechercher | Menus

Différences

Ci-dessous, les différences entre deux révisions de la page.

Lien vers cette vue comparative

Les deux révisions précédentes Révision précédente
openplm [Le 06/01/2016, 10:40]
80.254.150.51 Lucid est obsolete + ajout FIXME pre-requis
openplm [Le 23/10/2017, 09:54] (Version actuelle)
L'Africain Maj de la page
Ligne 1: Ligne 1:
-{{tag>Precise ​entreprise GED  }}+{{tag>Trusty ​entreprise GED }}
 ---- ----
  
Ligne 15: Ligne 15:
   * Disposer des [[:​sudo|droits d'​administration]].   * Disposer des [[:​sudo|droits d'​administration]].
   * Disposer d'une connexion à Internet configurée et activée.   * Disposer d'une connexion à Internet configurée et activée.
- +  * Avoir installé ​les [[:​compilation|outils de compilation]] 
-FIXME les pré-requis ci-dessous étaient valides pour Ubuntu 10.10. Vérifier s'ils sont nécessaires pour les versions actuelles d'​Ubuntu. +  * Avoir [[:​tutoriel:​comment_installer_un_paquet|installé les paquets]] **[[apt>swig,​pkg-config,​gettext,​apache2,libapache2-mod-wsgi,​python-pip,python-dev,python-imaging,python-kjbuckets,python-pypdf,ipython,​graphviz,graphviz-dev,​python-pygraphviz,​,​python-xapian,rabbitmq-server,​postgresql,​libpq-dev,python-tz,python-pisa,​libgsf-bin,​imagemagick,​python-pisa,​python-lxml,​poppler-utils,​html2text,​odt2txt,​antiword,​catdoc|swig pkg-config gettext apache2 libapache2-mod-wsgi python-pip python-dev python-imaging python-kjbuckets python-pypdf ipython graphviz graphviz-dev python-pygraphviz ​ python-xapian rabbitmq-server postgresql libpq-dev python-tz python-pisa libgsf-bin imagemagick python-pisa python-lxml poppler-utils html2text odt2txt antiword catdoc]]**. 
-  * Avoir [[:​tutoriel:​comment_installer_un_paquet|installé les paquets]] ** swig, build-essential, pkg-config, gettext, apache2 libapache2-mod-wsgi,​ python-setuptools ​python-dev python-imaging python-kjbuckets python-pypdf ipython, graphviz graphviz-dev,​ python-xapian rabbitmq-server, ​python-django ​python-docutilspostgresql ​python-psycopg2, python-pisa,​ poppler-utils,​ html2text, odt2txt, antiword, catdoc**. +  * Avoir installé les œufs Python :  
-  * Avoir installé les oeufs Python : +<​code>​pip install ​odfpy docutils celery django-celery ​'django==1.5.4' 'south==0.7.6' ​psycopg2  ​'​django-haystack<​2' ​librabbitmq markdown ​lepl openxmllib</​code>​
-<​code>​ +
-easy_install ​odfpy +
-easy_install ​'pygraphviz>​=1.1' +
-easy_install ​'south>=0.7' +
-easy_install celery +
-easy_install django-celery +
-easy_install ​'​django-haystack<​2'​ +
-easy_install  ​lepl +
-easy_install ​openxmllib +
-</​code>​+
  
 ===== Installation ===== ===== Installation =====
 +Téléchargez les sources [[http://​wiki.openplm.org/​trac/​downloads/​9|ici]],​ [[:​archivage|extrayer]] le code dans le dossier **/var** puis renommez-le avec les deux commandes successives :​ <code bash>​sudo tar xzf openplm-2.0.1.tar.gz -C /var/ 
 +sudo mv /​var/​openplm /​var/​django</​code>​
 Voir : Voir :
 [[http://​wiki.openplm.org/​docs/​admin/​ht_1_install_server.html | openPLM installation guide ]] [[http://​wiki.openplm.org/​docs/​admin/​ht_1_install_server.html | openPLM installation guide ]]


Le contenu de ce wiki est sous licence : CC BY-SA v3.0